osl::misc::Align16New Struct Reference

`#include <align16New.h>`

Inheritance diagram for osl::misc::Align16New:

## Static Public Member Functions

static void * | operator new (size_t size)
static void * | operator new[] (size_t size)
static void | operator delete (void *ptr, size_t size)
static void | operator delete[] (void *ptr, size_t size)

## Static Public Attributes

static const int | Alignment = 16

## Protected Member Functions

| ~Align16New ()

## Detailed Description

Definition at line 11 of file align16New.h.

## Constructor & Destructor Documentation

## ~Align16New()

osl::misc::Align16New::~Align16New | ( |  | ) |

inline protected

Definition at line 19 of file align16New.h.

## Member Function Documentation

## operator delete()

void osl::misc::Align16New::operator delete | ( | void * | ptr,
|  | size_t | size )

static

Definition at line 26 of file align16New.cc.

## operator delete[]()

void osl::misc::Align16New::operator delete[] | ( | void * | ptr,
|  | size_t | size )

static

Definition at line 34 of file align16New.cc.

## operator new()

void * osl::misc::Align16New::operator new | ( | size_t | size | ) |

static

Definition at line 7 of file align16New.cc.

References Alignment.

## operator new[]()

void * osl::misc::Align16New::operator new[] | ( | size_t | size | ) |

static

Definition at line 21 of file align16New.cc.

## Member Data Documentation

## Alignment

const int osl::misc::Align16New::Alignment = 16

static

Definition at line 13 of file align16New.h.

Referenced by operator new().

The documentation for this struct was generated from the following files:

- align16New.h
- align16New.cc